<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/tabs/perfil">
        Regresar
      </ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Mis autos</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-list *ngIf="misAutos.length === 0">
    <ion-card style="height: auto;">
      <ion-card-header>
        <ion-card-title>
          <ion-label class="sub-title">
            No hay autos registrados
          </ion-label>
        </ion-card-title>
        <ion-card-content>
          <ion-button style="position: inherit; right: 0; z-index:1; bottom: 3%; width: 100%; text-align: center;"
            color="primary" (click)="nuevoAuto()">
            Registrar auto
          </ion-button>
        </ion-card-content>
      </ion-card-header>
    </ion-card>
  </ion-list>

  <ion-list *ngIf="misAutos.length !== 0" style="height: 80vh; overflow-y: scroll;">
    <ion-card *ngFor="let auto of misAutos; index as i" style="height: auto;">
      <ion-card-header>
        <ion-card-title style="display: flex; align-items: center; justify-content: space-between">
          <ion-icon size="large" name="car-sport-outline" color="danger"
            style="background-color: var(--ion-color-light-tint); border-radius: 10px;" class="ion-padding">
          </ion-icon>
          <ion-label class="text">
            {{auto.nickname}}
          </ion-label>
          <ion-buttons>
            <ion-button (click)="editarAuto(auto)">
              <ion-icon name="create-outline"></ion-icon>
            </ion-button>
            <ion-button (click)="eliminarAuto(auto)">
              <ion-icon name="trash-outline"></ion-icon>
            </ion-button>
            <div (click)="setFavorite(auto)">
            <ion-icon *ngIf="auto.favorite" name="star" color="warning"></ion-icon>
            <ion-icon *ngIf="!auto.favorite" name="star-outline" ></ion-icon>
            </div>
          </ion-buttons>
        </ion-card-title>
      </ion-card-header>
    </ion-card>
  </ion-list>

  <div style="position: absolute; right: 0; z-index:1; bottom: 3%;; width: 100%; text-align: center;">
    <ion-button (click)="nuevoAuto()">
      <ion-icon name="add-outline" slot="start"></ion-icon>
      Agregar auto
    </ion-button>
  </div>



</ion-content>
